## net.i2p.data.i2np
Class TunnelVerificationStructure

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.i2np.TunnelVerificationStructure

All Implemented Interfaces:
  DataStructure

public class TunnelVerificationStructure
extends DataStructureImpl

Author:
  jrandom

Constructor Summary
`TunnelVerificationStructure()`
`TunnelVerificationStructure(Hash messageHash, Signature authSig)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`Signature` `getAuthorizationSignature()`
`Hash` `getMessageHash()`
`int` `hashCode()`
`void` `readBytes(java.io.InputStream in)` Load up the current object with data from the given stream.
`void` `setAuthorizationSignature(Signature sig)`
`void` `setMessageHash(Hash hash)`
`void` `sign(RouterContext context, SigningPrivateKey key)`
`java.lang.String` `toString()`
`boolean` `verifySignature(RouterContext context, SigningPublicKey key)`
`void` `writeBytes(java.io.OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TunnelVerificationStructure

    public TunnelVerificationStructure()

### TunnelVerificationStructure

    public TunnelVerificationStructure(Hash messageHash,
                                       Signature authSig)

Method Detail

### getMessageHash

    public Hash getMessageHash()

### setMessageHash

    public void setMessageHash(Hash hash)

### getAuthorizationSignature

    public Signature getAuthorizationSignature()

### setAuthorizationSignature

    public void setAuthorizationSignature(Signature sig)

### sign

    public void sign(RouterContext context,
                     SigningPrivateKey key)

### verifySignature

    public boolean verifySignature(RouterContext context,
                                   SigningPublicKey key)

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `java.io.IOException` - if there was a problem reading the stream
    `DataFormatException` - if the data is improperly formatted

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `java.io.IOException` - if there was a problem writing to the stream
    `DataFormatException` - if the data was incomplete or not yet ready to be written

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()